﻿Imports System.IO

Public Class Form1

    Private Sub MenuItem_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles _
        btZipWordDoc.Click, btUnzipWordDoc.Click, btShowDocuments.Click, _
        btStoreControls.Click, btRestoreControls.Click

        Select Case True
            Case sender Is btZipWordDoc
                modGZip.Zip("Test.doc", "Test.gzip")

            Case sender Is btUnzipWordDoc
                modGZip.UnZip("Test.gzip", "Test2.doc")

            Case sender Is btShowDocuments
                Process.Start("Test.doc")
                Process.Start("Test2.doc")

            Case sender Is btStoreControls
                ' Zum Schreiben einen (Binary-)Writer auf einen Stream aufsetzen
                Using fs As New FileStream("data.dat", FileMode.Create), _
                    writer As New BinaryWriter(fs)

                    writer.Write(CheckBox1.Checked)
                    writer.Write(TextBox1.Text)
                    writer.Write(NumericUpDown1.Value)
                    writer.Write(DateTimePicker1.Value.Ticks)
                End Using

            Case sender Is btRestoreControls
                ' Zum Lesen einen (Binary-)Reader auf einen Stream aufsetzen
                Using fs As New FileStream("data.dat", FileMode.Open), _
                    reader As New BinaryReader(fs)

                    CheckBox1.Checked = reader.ReadBoolean
                    TextBox1.Text = reader.ReadString
                    NumericUpDown1.Value = reader.ReadDecimal
                    DateTimePicker1.Value = Date.FromBinary(reader.ReadInt64)
                End Using
        End Select

        My.Computer.Audio.PlaySystemSound(Media.SystemSounds.Asterisk)
    End Sub
End Class